TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Operation

list L := list sub

### Syntax

<list>{[<elt-ord^rat>, <elt-ord^rat>, ...]} := [<any>, <any>, ...]

### Description

<shortdoc> Assign values from `a' to the list `L' at given positions `sub'.
Each position in `sub' must not be negative nor 0.
Note: If any position in `sub' is beyond the current scope of `L' the list is dynamically expanded to cover the assignment.
Further the lengths of `sub' and `a' must be equal. </shortdoc>

### Examples

L:=[1,,3,4]; L{[2,3,4]}:=[2,4,3]; L;
c:=[2,4,6]; c{[13,11,14]}:=["0","1","2"]; c;

### See also

list := elt-ord^rat
[] ( list, elt-ord^rat ) -> any
[] ( nof(any) ) -> list
Apply ( list, func ) -> list
List ( any ) -> list

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack